git eclipse plugin

| トラックバック(0)

昨日の続き。

http://d.hatena.ne.jp/w650/20080727/1217141751
http://cho.hapgoods.com/wordpress/?p=159

この2つを参考にpluginのコンパイル。gitでレポジトリからソースを取得してeclipseでコンパイルって手順なんだが、使ってるeclipse3.3.1だとコンパイルエラー。どうやらplugin作成に使うコア部分のeclipseのjarとサードパーティのsshかなんかのjarで不整合で怒られる。オフィシャルでは3.3.1以降でいけると書いてあるのに...。なので3.3.1は諦め3.4導入。すんなりコンパイル成功。3.3.1を使いやすくしといたので移行が面倒くさいし、俺のPowerbookG4でeclipse3.4+Aptanaの環境が耐えられるのかな...。
一つメモを残すと、3.3以降のeclipseは未だにオフィシャルなランゲージパックが出てません。なのでpleiadesというpluginを使用して日本語化する必要があるのだが、macでやるとちょっと躓く。mac版のeclipseではFinderからeclipse.iniファイルが通常見えない。なのでeclipse.appを右クリックしてパッケージ内容を表示させて、内部に入っているeclipse.iniを書き換える必要がある。

トラックバック(0)

このブログ記事を参照しているブログ一覧: git eclipse plugin

このブログ記事に対するトラックバックURL: http://blog.chrhsmt.com/mt-tb.cgi/149